Export HACCP Plan Translatable Fields
Use this endpoint to export translatable fields from a translation copy of a HACCP Plan record and its related transactional records.
Before submitting this request:
- Generate a translation copy of a HACCP Plan and ensure the copy has an associated HACCP Translation Generation record in the Ready for Export lifecycle state.
- You must have permission to view all translatable fields in the target HACCP Plan.
When triggered, Vault exports the following field types for translation:
- Text (Metadata return type =
String) - Long Text (Metadata return type =
LongText) - Rich Text (Metadata return type =
RichText)
The API returns the job_id. Learn more about translating HACCP Plans in Vault Help
You must run Retrieve HACCP Plan Translatable Fields after running this API in order to make the exported data available.
POST
/api/{version}/app/quality/haccp_plan/{haccp_plan_record_id}/translatable_fields/actions/exportHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{haccp_plan_record_id} | The ID field value for the HACCP Plan record you wish to translate. |
Request
Section link for Requestcurl -L -X POST 'https://myvault.veevavault.com/api/v26.1/app/quality/haccp_plan/VY7000000003002/translatable_fields/actions/export' \
-H 'Authorization: {SESSION_ID}' \
-H 'Accept: application/json' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"job_id": "652902"
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns a job_id. If the size of the translatable field data to export exceeds 250 MB, the request fails.